Transfer funds between trusted bank accounts
POST
/api/v1/pay_trusted
const url = 'https://core.example.com/api/v1/pay_trusted';const options = { method: 'POST', headers: {'session-token': '<session-token>', 'Content-Type': 'application/json'}, body: '{"from_account_id":1,"to_account_id":1,"to_account_token":"example","merchant_private_key":"example","amount":1,"currency":"example","description":"example","only_validates":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://core.example.com/api/v1/pay_trusted \ --header 'Content-Type: application/json' \ --header 'session-token: <session-token>' \ --data '{ "from_account_id": 1, "to_account_id": 1, "to_account_token": "example", "merchant_private_key": "example", "amount": 1, "currency": "example", "description": "example", "only_validates": false }'Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”segregated_account_id
integer
ID of a business account accessible to the current user
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
from_account_id
required
integer
to_account_id
integer
to_account_token
string
merchant_private_key
string
amount
required
number format: double
currency
required
string
description
string
only_validates
boolean
Responses
Section titled “ Responses ”Transfer created or validated
Media typeapplication/json
object
success
required
boolean
status
required
integer
only_hold
boolean
Example
{ "success": true, "status": 200}Authorization, validation, or business-rule error
Media typeapplication/json
object
success
required
boolean
status
required
integer
errors
required
One of:
Array<object>
object
code
string
kind
string
expiration
string
session
string
key
additional properties
any
object
key
additional properties
any
string
key
additional properties
any
Example
{ "success": false, "status": 403}